import { ImageConverter } from '@bravobit/bb-foundation';
import { DomSanitizer } from '@angular/platform-browser';
import { PipeTransform } from '@angular/core';
export declare class BbFileImage implements PipeTransform {
    private _image;
    private _sanitizer;
    constructor(_image: ImageConverter, _sanitizer: DomSanitizer);
    transform(file: File): Promise<any>;
}
